<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Apps\Immo\Module\Member;

use Core\Control\Button\Button;
use Core\Controller\Controller;
use Core\View\View;
use Core\View\ElementView;
use Core\Entity\Entity\Argument;

use Apps\Immo\Helper\ProjectHelper;

/*
 * 
 */
 class MemberController extends Controller
 {
    /**
     * Constructeur
     */
    function _construct($core="")
    {
          $this->Core = $core;
    }

    function Index(){
        $view = new View(__DIR__ . "/View/index.tpl", $this->Core);
        $projets = ProjectHelper::GetProjetByUser($this->Core, $this->Core->User->IdEntite);
        
        $view->AddElement(new ElementView("Projects", $projets));
        return $view->Render();
    }
}